You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@dolphinscheduler.apache.org by ki...@apache.org on 2021/11/26 06:42:23 UTC

[dolphinscheduler] branch dev updated: [improvement] improve install.sh if then statement (#6782)

This is an automated email from the ASF dual-hosted git repository.

kirs pushed a commit to branch dev
in repository https://gitbox.apache.org/repos/asf/dolphinscheduler.git


The following commit(s) were added to refs/heads/dev by this push:
     new 1c6ef50  [improvement] improve install.sh if then statement (#6782)
1c6ef50 is described below

commit 1c6ef500369ef028711f2dbd5e045818af052fee
Author: xuhhui <sz...@163.com>
AuthorDate: Fri Nov 26 14:42:14 2021 +0800

    [improvement] improve install.sh if then statement (#6782)
    
    * [Fix] Executing install.sh failed when password and others contain @
    
    * Update install.sh
    
    Co-authored-by: Jiajie Zhong <zh...@hotmail.com>
    
    Co-authored-by: Kirs <ac...@163.com>
    Co-authored-by: Jiajie Zhong <zh...@hotmail.com>
---
 install.sh | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/install.sh b/install.sh
index af43b27..dac369b 100755
--- a/install.sh
+++ b/install.sh
@@ -32,26 +32,21 @@ fi
 # 2.scp resources
 echo "2.scp resources"
 sh ${workDir}/script/scp-hosts.sh
-if [ $? -eq 0 ]
-then
+if [ $? -eq 0 ];then
 	echo 'scp copy completed'
 else
 	echo 'scp copy failed to exit'
 	exit 1
 fi
 
-
 # 3.stop server
 echo "3.stop server"
 sh ${workDir}/script/stop-all.sh
 
-
 # 4.delete zk node
 echo "4.delete zk node"
-
 sh ${workDir}/script/remove-zk-node.sh $zkRoot
 
-
 # 5.startup
 echo "5.startup"
 sh ${workDir}/script/start-all.sh